# TaxSessionsPublicController_ReturnErrors

Returns return-level errors for the specified tax session from the most recent return generation.

`GET /api/v1/TaxSessions/ReturnErrors`

**API:** Excise Platform API
**Tag:** Tax Sessions
**API Version:** v1
**Base URL:** https://excise.avalara.com
**Accepts:** `application/json`
**Authentication:** Basic (username + license key)

Source: https://developer.avalara.com/products/excise/api/methods/Tax%20Sessions/TaxSessionsPublicController_ReturnErrors/

## Description

Returns error messages recorded during the most recent return generation process for the tax
session identified by HeaderId and Sequence. Errors of type Critical (C), Warning (W), and
Informational (I) are included. A tax return cannot be filed when a Critical error has been
identified. If the tax session has not been generated or no errors exist, an empty result set is returned.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-company-id` | integer | header | Yes | Company ID that owns the data. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see Client Headers. |
| `headerId` | integer | query | Yes | The header id of the specified tax session. |
| `sequence` | integer | query | No | The sequence of the specified tax session (Default: highest sequence for the HeaderId). |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Returns the list of return-level errors from the most recent generation. | `Avalara.Excise.Common.Contracts.Services.RestReturnErrorsResponse` |
| 400 | The HeaderId/Sequence is invalid or not associated with the specified company. |  |
| 401 | Authentication credentials are incorrect. |  |

### 200 Response: `Avalara.Excise.Common.Contracts.Services.RestReturnErrorsResponse`

Response returned by Tax Sessions ReturnErrors and eFiles GetErrors endpoints.

| Property | Type | Required | Description |
|---|---|---|---|
| `Data` | Avalara.Excise.Common.Contracts.Services.RestReturnError[] | No | The list of return-level or eFile-level errors. |

## Example Request

```bash
curl -X GET "https://excise.avalara.com/api/v1/TaxSessions/ReturnErrors" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```